> For the complete documentation index, see [llms.txt](https://docs.velafi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.velafi.com/velafi-1/api-reference/quote/get-user-quote-for-fiat-fiat.md).

# Get User Quote for Fiat/Fiat

This API retrieves the current exchange rate for converting one fiat currency to another.

#### Endpoint Information

* **Request Header**: `X-BH-TOKEN: ******`
* **Request Method**: `GET`
* **Request Path**: `/v2/user/fiat-quote`
* **Authorization Required**: Yes

#### Query Parameters

* **onRampCountry**: (string) Name of the country (e.g., "Mexico"))
* **onRampFiat**: (string) Name of the fiat currency (e.g., "MXN"))
* **offRampCountry**: (string) Name of the country (e.g., "Argentina"))
* **offRampFiat**: (string) Name of the fiat currency (e.g., "ARS"))

#### Authorization

This request requires authorization.

#### Response Structure

The response will include the following fields:

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": {
        "price": "0.0"  // (string: price of the first fiat currency in terms of the second fiat currency)
    }
}
```

#### Example Request

For example, to get the exchange rate from Mexican Pesos (MXN) to Argentine Pesos (ARS):

* **onRampCountry**: Mexico
* **onRampFiat**: MXN
* **offRampCountry**: Argentina
* **offRampFiat**: ARS

#### Example Response

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": {
        "price": "56.14266017"
    }
}
```

#### Example Request

For example, to get the exchange rate from Argentine Pesos (ARS) to Mexican Pesos (MXN):

* **onRampCountry**: Argentina
* **onRampFiat**: ARS
* **offRampCountry**: Mexico
* **offRampFiat**: MXN

#### Example Response

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": {
        "price": "0.0160686"
    }
}
```

#### Notes

* The `price` field represents the current exchange rate from the specified first fiat currency to the second fiat currency.
* Ensure that valid authorization tokens are included in the request headers for successful execution.
* This `price` is for reference only and does not guarantee consistency with the order price.

  <br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.velafi.com/velafi-1/api-reference/quote/get-user-quote-for-fiat-fiat.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
